Bug 25815 - SIP Checkout: add more information on why the patron is blocked
Summary: SIP Checkout: add more information on why the patron is blocked
Status: RESOLVED FIXED
Alias: None
Product: Koha
Classification: Unclassified
Component: SIP2 (show other bugs)
Version: master
Hardware: All All
: P5 - low enhancement (vote)
Assignee: Matthias Meusburger
QA Contact: Testopia
URL:
Keywords:
Depends on:
Blocks:
 
Reported: 2020-06-19 09:25 UTC by Matthias Meusburger
Modified: 2022-04-29 16:58 UTC (History)
6 users (show)

See Also:
Change sponsored?: ---
Patch complexity: ---
Documentation contact:
Documentation submission:
Text to go in the release notes:
Version(s) released in:
22.05.00


Attachments
Bug 25815: SIP Checkout: add more information on why the patron is blocked. (2.79 KB, patch)
2020-06-19 09:27 UTC, Matthias Meusburger
Details | Diff | Splinter Review
Bug 25815: SIP Checkout: add more information on why the patron is blocked. (2.84 KB, patch)
2022-03-30 16:05 UTC, Biblibre Sandboxes
Details | Diff | Splinter Review
updated patch (6.48 KB, patch)
2022-04-12 12:46 UTC, Matthias Meusburger
Details | Diff | Splinter Review
Bug 25815: SIP Checkout: add more information on why the patron is blocked. (6.54 KB, patch)
2022-04-19 10:33 UTC, Martin Renvoize
Details | Diff | Splinter Review

Note You need to log in before you can comment on or make changes to this bug.
Description Matthias Meusburger 2020-06-19 09:25:45 UTC
Currently, on SIP checkout, Koha only returns "Patron Blocked" when there is a problem with the patron.
Comment 1 Matthias Meusburger 2020-06-19 09:27:51 UTC
Created attachment 106059 [details] [review]
Bug 25815: SIP Checkout: add more information on why the patron is blocked.

Currently, on SIP checkout, Koha only returns "Patron Blocked" when there is
a problem with the patron.

This patch adds more specific informations, with the following messages:

 - "Patron expired"
 - "Patron debarred"
 - "Patron has fines" (see system preference "noissuescharge")
 - "Patron blocked" (see system preference "OverduesBlockCirc")

Test plan:

 - Try to do a SIP checkout with a patron that is in one of the above situations.
 - Check that the displayed message matches the patron's situation.
Comment 2 Koha Team University Lyon 3 2022-03-30 16:02:50 UTC
I tested on my kohadevbox, with the different cases and the SIP responses are the one expected.
Comment 3 Biblibre Sandboxes 2022-03-30 16:05:32 UTC
Created attachment 132652 [details] [review]
Bug 25815: SIP Checkout: add more information on why the patron is blocked.

Currently, on SIP checkout, Koha only returns "Patron Blocked" when there is
a problem with the patron.

This patch adds more specific informations, with the following messages:

 - "Patron expired"
 - "Patron debarred"
 - "Patron has fines" (see system preference "noissuescharge")
 - "Patron blocked" (see system preference "OverduesBlockCirc")

Test plan:

 - Try to do a SIP checkout with a patron that is in one of the above situations.
 - Check that the displayed message matches the patron's situation.

Signed-off-by: Sonia <sonia.bouis@univ-lyon3.fr>
Comment 4 Nick Clemens 2022-03-31 11:33:05 UTC
Unit tests, please
Comment 5 Nick Clemens 2022-03-31 11:33:59 UTC
Also, charge ok order is debarred, expired, fines, blocked - you move expired first - we should be consistent
Comment 6 Matthias Meusburger 2022-04-12 12:45:10 UTC
Thanks for your feedback, Nick. The following patch restores the correct order and adds unit tests.
Comment 7 Matthias Meusburger 2022-04-12 12:46:26 UTC
Created attachment 133215 [details] [review]
updated patch
Comment 8 Martin Renvoize 2022-04-19 10:33:26 UTC
Created attachment 133397 [details] [review]
Bug 25815: SIP Checkout: add more information on why the patron is blocked.

Currently, on SIP checkout, Koha only returns "Patron Blocked" when there is
a problem with the patron.

This patch adds more specific informations, with the following messages:

 - "Patron expired"
 - "Patron debarred"
 - "Patron has fines" (see system preference "noissuescharge")
 - "Patron blocked" (see system preference "OverduesBlockCirc")

Test plan:

 - Try to do a SIP checkout with a patron that is in one of the above situations.
 - Check that the displayed message matches the patron's situation.

Signed-off-by: Sonia <sonia.bouis@univ-lyon3.fr>
Signed-off-by: Martin Renvoize <martin.renvoize@ptfs-europe.com>
Comment 9 Martin Renvoize 2022-04-19 10:34:21 UTC
Issues raised by Nick all fixed and patch all works as expected here.

QA scripts are happy, and we have Unit tests.. Passing QA
Comment 10 Fridolin Somers 2022-04-20 07:23:42 UTC
Pushed to master for 22.05, thanks to everybody involved 🦄